Instalar pip en macOS no funciona (ya)

Seguí las instrucciones en línea sobre cómo instalar pip en macOS (por ejemplo, esto , esto y esto ).

Todo parece simple, pero no funciona para mí.

Mi versión de python --version es 2.7.10.

Cuando ejecuto sudo easy_install pip obtengo:

 $ sudo easy_install pip Password: Searching for pip Reading http://pypi.python.org/simple/pip/ Couldn't find index page for 'pip' (maybe misspelled?) Scanning index of all packages (this may take a while) Reading http://pypi.python.org/simple/ No local packages or download links found for pip error: Could not find suitable distribution for Requirement.parse('pip') 

¿Alguna idea de cómo puedo solucionar o solucionar esto?

Usa brew para Macs

“brew install python”

esto vendrá con pip y python2 y python3

las instrucciones para omitir 2 versiones de python (si lo desea) están en https://pip.readthedocs.io/en/stable/installing/

de lo contrario, solo será “python3 <'program'>”

Aquí se explica cómo instalar brew: https://www.howtogeek.com/211541/homebrew-for-os-x-easily-installs-desktop-apps-and-terminal-utilities/

Es posible que tenga pip3 en su lugar. Úsalo para actualizar pip.

 pip3 install --upgrade pip 

easy_install ha quedado en desuso. Utilice los siguientes comandos en su lugar.

  1. curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py

  2. python get-pip.py

Fuente